Bug 213351 - NFSv4 regression between FC5 and FC6
NFSv4 regression between FC5 and FC6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 18:11 EST by Ed Marshall
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2006-10-31 18:11:28 EST
Description of problem:
After upgrading my NFS (v4) server from FC5 to FC6, I need to open up my
iptables firewall for ports other than 2049.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.9-8.fc6
kernel-2.6.18-1.2798.fc6

How reproducible:
Every time.

Steps to Reproduce:
1. On the nfs server, install FC5 with SELinux (targeted policy) and iptables
enabled. Permit TCP traffic to arrive via port 2049:

-A RH-Firewall-1-INPUT -m state --state NEW -m tcp -p tcp --dport 2049 -j ACCEPT

Configure NFS to export a shared home directory space. /etc/exports:

/srv/nfs       
10.0.0.0/24(rw,sync,nohide,no_subtree_check,fsid=0,anonuid=65534,anongid=65534)
/srv/nfs/home  
10.0.0.0/24(rw,sync,nohide,no_subtree_check,anonuid=65534,anongid=65534)

(plus a bind mount in /etc/fstab for the /home -> /srv/nfs/home translation)

On the client (previously FC5, now FC6, same configuration both ways),
/etc/auto.home:

* -fstype=nfs4,rw,proto=tcp,port=2049 nfsserver:/home/&

And /etc/auto.master:

/home /etc/auto.home --timeout=90

On both client and server, set up /etc/idmapd.conf to specify nfsnobody as the
user and group, and a common domain.

2. Watch as /home automounts wondefully on the client.
3. Upgrade server to FC6, watch as client can no longer automount directories in
/home.

Additional info:
Completely disabling the iptables firewall on the NFS server has corrected the
problem as a stop-gap measure. I haven't had a chance to spend much time
debugging this yet, as we just needed the machine back up and running; I'll try
to spend a bit of time with ethereal over the next few days seeing what
specifically isn't working.

I'm basing this approach on the documentation found here:

    http://www.vanemery.com/Linux/NFSv4/NFSv4-no-rpcsec.html
Comment 1 Steve Dickson 2006-10-31 19:04:18 EST
Would it be possible to post a bzip2 binary tethereal network trace
of the mount? Something similar to 

tethereal -w /tmp/data.pcap host <server> ; bzip2 /tmp/data.pcap 
Comment 2 Bug Zapper 2008-04-04 00:19:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:38:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.